/* ************************************************************************************/
/******************************* FUNCIONES CENTROS JS - LINKEDU *******************************/
/**************************************************************************************/
var objCentros = new Object();
	objCentros = {};

/*Tablas utilizadas para las búsquedas*/
function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass (elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace( /^\s+|\s+$/, "" );
};

function stripedTable() {
	if (document.getElementById && document.getElementsByTagName) {  
		var allTables = document.getElementsByTagName('table');
		if (!allTables) { return; }

		for (var i = 0; i < allTables.length; i++) {
			if (allTables[i].className.match(/[\w\s ]*scrollTable[\w\s ]*/)) {
				var trs = allTables[i].getElementsByTagName("tr");
				for (var j = 0; j < trs.length; j++) {
					removeClassName(trs[j], 'alternateRow');
					addCSSClass(trs[j], 'normalRow');
				}
				for (var k = 0; k < trs.length; k += 2) {
					removeClassName(trs[k], 'normalRow');
					addCSSClass(trs[k], 'alternateRow');
				}
			}
		}
	}
}

window.onload = function() { 
	stripedTable(); 
};
	

$(document).ready(function() {        
	$('table tbody tr').hover(function() {
		$(this).addClass('highlight');
	}, 
	function() {  
    	$(this).removeClass('highlight');  
    });        
});   

function CursorDentro(){
	document.body.style.cursor = "pointer";
}

function CursorFuera(){
	document.body.style.cursor = "default";
}

	
function OcultaDivBusqueda(nDiv){
    document.getElementById(nDiv).style.display = "none"; 
}

function ControlDivBusqueda(nDiv){	
	if (document.getElementById(nDiv).style.display == "none"){		
		Campos(true);		
		document.getElementById(nDiv).style.display = "inline";		
	}else{
		Campos(false);	
    	document.getElementById(nDiv).style.display = "none";

	}
}

function Campos(estado){
	document.getElementById("txtCode").disabled=estado;
	document.getElementById("txtNombre").disabled=estado;					
	document.getElementById("txtDir").disabled=estado;
	document.getElementById("txtMail").disabled=estado;				
	document.getElementById("txtNum").disabled=estado;	
	document.getElementById("txtOtros").disabled=estado;
	document.getElementById("txtTelef").disabled=estado;
	document.getElementById("txtCP").disabled=estado;
	document.getElementById("txtObs").disabled=estado;	
	document.getElementById("btnEnviar").disabled=estado;
}

/* *****************************************************************************************************************/
/* ************************** CARGAR DATOS DEVUELTOS X SELECT EN CAMPOS ********************************************/
/* Cuando se hace clic en la tabla de búsquedas hay que guardar los datos de todo el registro para cif seleccionado*/
/*******************************************************************************************************************/

/*CAMPO ESCRITO DIRECTAMENTE EN TXT EVENTO BLUR*/
function BuscaValor(btn, totalFilas){
	var vCodi=btn;	
	var centreTrobat=false;				
    var i;
	if (vCodi != ""){
		Campos(false);
		document.getElementById('txtNombre').focus();
		for (i=1; i<=totalFilas; i++){	
			if (vCodi==document.getElementById('tblBusqueda1').rows[i].cells[0].innerHTML){
				centreTrobat=true;
				objCentros.CIF 			= 	document.getElementById('tblBusqueda1').rows[i].cells[0].innerHTML;
				objCentros.Nombre 		= 	document.getElementById('tblBusqueda1').rows[i].cells[1].innerHTML;
				objCentros.Direccion    = 	document.getElementById('tblBusqueda1').rows[i].cells[2].innerHTML;
				objCentros.Numero 		= 	document.getElementById('tblBusqueda1').rows[i].cells[3].innerHTML;
				objCentros.Otros		=	document.getElementById('tblBusqueda1').rows[i].cells[4].innerHTML;
				objCentros.Telefono		=	document.getElementById('tblBusqueda1').rows[i].cells[5].innerHTML;
				objCentros.CodigoPostal =	document.getElementById('tblBusqueda1').rows[i].cells[6].innerHTML;
				objCentros.email		=	document.getElementById('tblBusqueda1').rows[i].cells[7].innerHTML;
				objCentros.Observacions =	document.getElementById('tblBusqueda1').rows[i].cells[8].innerHTML;	
			}
		}
		if (!centreTrobat){
			objCentros=[];
		}
		AsignaCampos();			
	}else{
		Campos(true);
		document.getElementById("txtCode").disabled=false;
		document.getElementById("txtCode").focus();		
	}					
}

/*CAMPO SELECCIONADO DESDE LA TABLA CLIC EN TABLA BUSQUEDAS */
$(document).ready(function() {  
	$('#tblBusqueda1 tr').click(function(){	
		objCentros.CIF 			= 	$('td:eq(0)', this).html();
		objCentros.Nombre 		= 	$('td:eq(1)', this).html();
		objCentros.Direccion    = 	$('td:eq(2)', this).html();
		objCentros.Numero 		= 	$('td:eq(3)', this).html();
		objCentros.Otros		=	$('td:eq(4)', this).html();
		objCentros.Telefono		=	$('td:eq(5)', this).html();
		objCentros.CodigoPostal =	$('td:eq(6)', this).html();
		objCentros.email		=	$('td:eq(7)', this).html();
		objCentros.Observacions =	$('td:eq(8)', this).html();						
		OcultaDivBusqueda('DivTablaBusqueda1'); 
		Campos(false);		
		AsignaCampos();
	});				
});



function AsignaCampos(){
	if (typeof objCentros.CIF === "undefined"){		
		// ********** NUEVO CENTRO ****************/		
		document.getElementById("txtNombre").value = "";
		document.getElementById("txtDir").value = "";
		document.getElementById("txtNum").value ="";		
		document.getElementById("txtOtros").value = "";
		document.getElementById("txtTelef").value = "";		
		document.getElementById("txtCP").value = "";
		document.getElementById("txtMail").value = "";	
		document.getElementById("txtObs").value = "";	
		document.getElementById("txtAction").value = "I";
		document.getElementById('txtNombre').focus();
	}else{
		//Campos(false);			
		document.getElementById("txtCode").value = objCentros.CIF;
		document.getElementById("txtNombre").value = objCentros.Nombre;
		document.getElementById("txtDir").value = objCentros.Direccion;
		document.getElementById("txtNum").value = objCentros.Numero;			
		document.getElementById("txtOtros").value = objCentros.Otros;
		document.getElementById("txtTelef").value = objCentros.Telefono;		
		document.getElementById("txtCP").value = objCentros.CodigoPostal;
		document.getElementById("txtMail").value = objCentros.email;	
		document.getElementById("txtObs").value = objCentros.Observacions;	
		document.getElementById("txtAction").value = "U";
		document.getElementById('txtNombre').focus();	
	}
}

function ControlBorrado(){		 
	if (document.getElementById("txtAction").value == "U"){
		document.getElementById("txtAction").value = "B";                   
	}        	
}


/*****************************************************************/
/*				GUARDADO DE DATOS EN MYSQL				*/
/*Guardamos los datos a través de jquery+Ajax sin recargar las páginas*/

$(document).ready(function() {
	$('#DivPapeleraCentros, #btnEnviar').click(function(){
		var formData = $('#frmCentros').serialize();	
		var Codigo = document.getElementById('txtCode').value;			
		var rowCount = $('#tblBusqueda1 tbody tr').length;	
	//	alert("Vamos a enviar esto : " + formData);	
	//	alert("Codigo : " + Codigo);	
//		if (!(rowCount ==1 && document.getElementById('txtAction').value=='I')){			
			if (Codigo != ""){
				if (document.getElementById('txtAction').value=='B'){
					if(confirm("¡Alerta! Esta acción eliminará el centro con código :"+ Codigo +" \n con todos sus datos asociados.\n ¿Desea realmente continuar?")){					
						DesaDades(formData);
					}
				}else{
					if (Codigo != '1'){
						DesaDades(formData);
					}else{
						alert("Este CIF de centro está reservado y no puede utilizarse.");
					}
				}
		}		
		location.reload();
        return false;
	});
});
	

function DesaDades(formData){
	$.ajax({
		type: 'POST',
		url:'act_centros.php',
		async: false,
		data: formData,			
		success: function(data) {
		//	alert("Mensaje Servidor : " + data);
			location.reload();		
		}, 
		error: function(data) {
			alert("Error : " + data);
		}
	}) 		
}

