/* ************************************************************************************/
/******************************* FUNCIONES JS - LINKEDU *******************************/
/**************************************************************************************/
var objCursos = new Object();
	objCursos = {};


/*Tablas utilizadas para las búsquedas*/
function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass (elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace( /^\s+|\s+$/, "" );
};

function stripedTable() {
	if (document.getElementById && document.getElementsByTagName) {  
		var allTables = document.getElementsByTagName('table');
		if (!allTables) { return; }

		for (var i = 0; i < allTables.length; i++) {
			if (allTables[i].className.match(/[\w\s ]*scrollTable[\w\s ]*/)) {
				var trs = allTables[i].getElementsByTagName("tr");
				for (var j = 0; j < trs.length; j++) {
					removeClassName(trs[j], 'alternateRow');
					addCSSClass(trs[j], 'normalRow');
				}
				for (var k = 0; k < trs.length; k += 2) {
					removeClassName(trs[k], 'normalRow');
					addCSSClass(trs[k], 'alternateRow');
				}
			}
		}
	}
}

window.onload = function() { 
	stripedTable(); 
	if (document.getElementById("txtAdmin").value!=1){
		document.getElementById("txtCodigoCentro").value=(document.getElementById("txtCentro").value).trim();	
		CamposCur(true);	
        }
        //No se hace focus pq hay que rellenar con lupa.
};
	
function OcultaDivBusqueda(nDiv){
	switch (nDiv){
		case 'DivTablaBusqueda1':
		    document.getElementById(nDiv).style.display = "none"; 
		break;
		case 'DivTablaBusqueda2':
		    document.getElementById(nDiv).style.display = "none";			
		break;
		case 'DivTablaBusqueda3':
		    document.getElementById(nDiv).style.display = "none";			
		break;
	}
}


function CamposCur(estado){
	document.getElementById("txtCodigoCurso").disabled=estado;						
	document.getElementById("txtDescripcionCurso").disabled=estado;						
	document.getElementById("txtNumMeses").disabled=estado;
	document.getElementById("txtObsCursos").disabled=estado;
	document.getElementById("btnEnviarCurso").disabled=estado;
	if (estado==false)	document.getElementById("txtCodigoCurso").focus();			
}

//BUSQUEDA CUANDO SE HACE CLIC EN LA LUPA
function ControlDivBusqueda(nDiv){	
	switch (nDiv){	
		case 'DivTablaBusqueda1':
			if (document.getElementById(nDiv).style.display == "none"){
	   			document.getElementById(nDiv).style.display = "inline";					
                document.getElementById('DivTablaBusqueda2').style.display="none";
				document.getElementById('DivTablaBusqueda3').style.display="none";				
			}else{
        		document.getElementById(nDiv).style.display = "none";
			}
		break;		
		case 'DivTablaBusqueda2':
			if (document.getElementById("txtCodigoCentro").value!=""){
				if (document.getElementById(nDiv).style.display == "none"){
					document.getElementById(nDiv).style.display = "inline";					
					document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda3').style.display="none";				
				}else{
					document.getElementById(nDiv).style.display = "none";
				}
			}
		break;		
		
		case 'DivTablaBusqueda3':
			if (document.getElementById("txtCodigoCentro").value!="" && document.getElementById("txtCodigoEstudios").value!=""){				
				if (document.getElementById(nDiv).style.display == "none"){
	   				document.getElementById(nDiv).style.display = "inline";	
				 	document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda2').style.display="none";				
				}else{
        			document.getElementById(nDiv).style.display = "none";
				}               
			}		
	}
}


$(document).ready(function() {        
	$('table tbody tr').hover(function() {
		$(this).addClass('highlight');
	}, 
	function() {  
    	$(this).removeClass('highlight');  
    });        
});   

function CursorDentro(){
	document.body.style.cursor = "pointer";
}

function CursorFuera(){
	document.body.style.cursor = "default";
}

function OcultaFilasTabla1(numFilas){
	var txtCampo=(document.getElementById("txtCodigoCentro").value).trim();
	if (document.getElementById("txtAdmin").value!=1){	//filtramos si el usuario no es administrador
		if (document.getElementById("txtCodigoCentro").value!=""){
			for (i=1; i<=numFilas; i++){				
				if (txtCampo!=(document.getElementById("tblBusqueda1").rows[i].cells[0].innerHTML).trim()){
					$("#tblBusqueda1 tr:eq("+ i +")").hide(0);						
				}else{
					$("#tblBusqueda1 tr:eq("+ i +")").show(0);
				}					
			}		
		}
	}
}

function OcultaFilasTabla2(numFilas2){
	var txtCampo=(document.getElementById("txtCodigoCentro").value).trim();
	if (document.getElementById("txtCodigoCentro").value!=""){
		for (j=1; j<=numFilas2; j++){
			if (txtCampo!=(document.getElementById("tblBusqueda2").rows[j].cells[3].innerHTML).trim()){					
				$("#tblBusqueda2 tr:eq("+ j +")").hide(0);						
			}else{
				$("#tblBusqueda2 tr:eq("+ j +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar el campo 'Código centro'");
	}
}

function OcultaFilasTabla3(numFilas3){	

	var txtCIF=(document.getElementById("txtCodigoCentro").value).trim();	
	var txtCampo=(document.getElementById("txtCodigoEstudios").value).trim();	
	if (document.getElementById("txtCodigoCentro").value!="" && document.getElementById("txtCodigoEstudios").value!=""){
		for (k=1; k<=numFilas3; k++){
			if (txtCampo!=(document.getElementById("tblBusqueda3").rows[k].cells[3].innerHTML).trim()){					
				$("#tblBusqueda3 tr:eq("+ k +")").hide(0);						
			}else{
				$("#tblBusqueda3 tr:eq("+ k +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar los campos 'Código Centro' y 'Código Estudios'");
	}
}


function BuscaValor(txt,numFilas){
	var i;
	var codiTrobat=false;
	if (txt!=""){	
		for (i=1; i<=numFilas; i++){
			if (txt==document.getElementById("tblBusqueda3").rows[i].cells[0].innerHTML){
				codiTrobat = true;	
				document.getElementById("txtActionCursos").value="U";			
			}		
		}
		if (!codiTrobat){
			document.getElementById("txtActionCursos").value="I";	
			document.getElementById("txtDescripcionCurso").value="";
			document.getElementById("txtNumMeses").value="";
			document.getElementById("txtObsCursos").value="";		
		}	
	}
}


/*
function BuscaValor(btn, totalFilas){
	var vCodi=btn;	
	var cursTrobat=false;				
    var i;
	alert(vCodi);
	if (vCodi != ""){
		CamposCur(false);
		document.getElementById('txtDescripcionCurso').focus();
		for (i=1; i<=totalFilas; i++){	
			if (vCodi==document.getElementById('tblBusqueda3').rows[i].cells[0].innerHTML){
				cursTrobat=true;
				objCursos.Codigo			= document.getElementById('tblBusqueda3').rows[i].cells[0].innerHTML;		
				objCursos.Descripcion	 	= document.getElementById('tblBusqueda3').rows[i].cells[1].innerHTML;
				objCursos.Cursos		 	= document.getElementById('tblBusqueda3').rows[i].cells[2].innerHTML;
				objCursos.CIF_Centre		= document.getElementById('tblBusqueda3').rows[i].cells[3].innerHTML;
				objCursos.Observaciones		= document.getElementById('tblBusqueda3').rows[i].cells[4].innerHTML;					
				document.getElementById("txtActionCursos").value="U";
        	 	document.getElementById("txtDescripcionCurso").value=objCursos.Descripcion;
         		document.getElementById("txtNumMeses").value=objCursos.Cursos;
        		document.getElementById("txtObsCursos").value=objCursos.Observaciones;	
			}
		}
		if (!cursTrobat){
			objCursos=[];
		}
		AsignaCampos();			
	}else{
		CamposCur(false);
		alert("Nuevo registro");
		document.getElementById("txtActionCursos").value="I";
        document.getElementById("txtDescripcionCurso").value="";
        document.getElementById("txtNumMeses").value="";
        document.getElementById("txtObsCursos").value="";  		
	}					
}
*/


/* *****************************************************************************************************************/
/* ************************** CARGAR DATOS DEVUELTOS X SELECT EN CAMPOS ********************************************/
/* EVENTO BLUR DE LOS CAMPOS DE TEXTO txtCodigoEstudios Y TXTESTUDIOSEST*/
/*******************************************************************************************************************/

$(document).ready(function() {  	
	$('#tblBusqueda1 tr').click(function(){			
			var txtCIF=document.getElementById("txtCodigoCentro").value=$('td:eq(0)', this).html();						
			OcultaDivBusqueda('DivTablaBusqueda1'); 
			document.getElementById("txtCodigoEstudios").value="";

			document.getElementById("txtCodigoCurso").value="";					
			document.getElementById("txtDescripcionCurso").value="";
			document.getElementById("txtNumMeses").value="";
			document.getElementById("txtObsCursos").value="";			
		}
	);
	$('#tblBusqueda2 tr').click(function(){			
			var txtCodEstudio=document.getElementById("txtCodigoEstudios").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda2'); 

			document.getElementById("txtCodigoCurso").value="";	
			document.getElementById("txtDescripcionCurso").value="";
			document.getElementById("txtNumMeses").value="";
			document.getElementById("txtObsCursos").value="";
			CamposCur(false);		
		}
	);			
	$('#tblBusqueda3 tr').click(function(){
			var txtCodCurso=document.getElementById("txtCodigoCurso").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda3');
			objCursos.Codigo			= txtCodCurso;			
			objCursos.Descripcion	 	= $('td:eq(1)', this).html();
			objCursos.Cursos		 	= $('td:eq(2)', this).html();
			objCursos.CIF_Centre		= $('td:eq(3)', this).html();
			objCursos.Observaciones	= $('td:eq(4)', this).html();
			document.getElementById("txtDescripcionCurso").value=objCursos.Descripcion;
			document.getElementById("txtNumMeses").value=objCursos.Cursos;
			document.getElementById("txtCodigoEstudios").value=objCursos.CIF_Centre;
			document.getElementById("txtObsCursos").value=objCursos.Observaciones;
			document.getElementById("txtActionCursos").value="U";			
			CamposCur(false);		
		}
	);			
});


function ControlBorrado(){		
    if (document.getElementById("txtActionCursos").value == "U"){
       document.getElementById("txtActionCursos").value = "B";                  
    }        		
}


/*Guardamos los datos a través de jquery sin recargar las páginas*/

$(document).ready(function() {
	$('#DivPapeleraCursos, #btnEnviarCurso').click(function(){
		document.getElementById('txtEstudiosAux').value= document.getElementById("txtCodigoEstudios").value;
		document.getElementById('txtCIF_Centro').value=document.getElementById("txtCodigoCentro").value;
		var formData = $('#frmCursos').serialize();
		var Codigo = document.getElementById("txtCodigoEstudios").value;
//		alert("Grabar datos frmCursos : " + formData);
		if (Codigo != ""){
			if (document.getElementById('txtActionCursos').value=='B'){
				if(confirm("¡Alerta! Esta acción eliminará los estudios con código :"+ Codigo +" \n con todos sus datos asociados.\n ¿Desea realmente continuar?")){					
					DesaDades(formData);
				}
			}else{
				DesaDades(formData);
			}
		}
		location.reload();
        return false;
    });    				 
});

function DesaDades(formData){
	$.ajax({
		type: 'POST',
		url:'act_cursos.php',
		async:false,
		data: formData,
		success: function(data) {
		//	alert("Mensaje Servidor : " + data);		
			location.reload();
		}, 
		error: function(data){
			alert("Error : " + data);
		}
	})       		
}

function ActValor(){    
   if (document.getElementById("txtAdmin").value!=1){
        document.getElementById("txtCodigoCentro").value=(document.getElementById("txtCentro").value).trim();	
        document.getElementById("txtCodigoCurso").value="";
        document.getElementById("txtDescripcionCurso").value="";
        document.getElementById("txtNumMeses").value="";
        document.getElementById("txtObsCursos").value="";        	
    }else{
        document.getElementById("txtCodigoCentro").value="";
        document.getElementById("txtCodigoEstudios").value="";
        document.getElementById("txtCodigoCurso").value="";
        document.getElementById("txtDescripcionCurso").value="";
        document.getElementById("txtNumMeses").value="";
        document.getElementById("txtObsCursos").value="";   
    } 
    CamposCur(true);	                
}
