/* ************************************************************************************/
/******************************* FUNCIONES JS - LINKEDU *******************************/
/**************************************************************************************/
var objEstudios = new Object();
	objEstudios = {};

/*Tablas utilizadas para las búsquedas*/
function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass (elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace( /^\s+|\s+$/, "" );
};

function stripedTable() {
	if (document.getElementById && document.getElementsByTagName) {  
		var allTables = document.getElementsByTagName('table');
		if (!allTables) { return; }

		for (var i = 0; i < allTables.length; i++) {
			if (allTables[i].className.match(/[\w\s ]*scrollTable[\w\s ]*/)) {
				var trs = allTables[i].getElementsByTagName("tr");
				for (var j = 0; j < trs.length; j++) {
					removeClassName(trs[j], 'alternateRow');
					addCSSClass(trs[j], 'normalRow');
				}
				for (var k = 0; k < trs.length; k += 2) {
					removeClassName(trs[k], 'normalRow');
					addCSSClass(trs[k], 'alternateRow');
				}
			}
		}
	}
}

window.onload = function() { 
	stripedTable(); 
        if (document.getElementById("txtAdmin").value!=1){
		document.getElementById("txtEstudiosCIF").value=(document.getElementById("txtCentro").value).trim();	
		CampoCIF(true);
		CamposEst(false);
                document.getElementById("txtCodigoCurso").focus();
	}else{
                document.getElementById("txtEstudiosCIF").focus();
        }              
};
	
function OcultaDivBusqueda(nDiv){
	switch (nDiv){
		case 'DivTablaBusqueda1':
		    document.getElementById(nDiv).style.display = "none";			
		break;
		case 'DivTablaBusqueda2':
		    document.getElementById(nDiv).style.display = "none";
			if (document.getElementById("txtEstudiosCIF").value!=""){
				document.getElementById("txtCodigoCurso").disabled=false;  
			}
		break;
	}
}

function CampoCIF(estado){		
	document.getElementById("txtEstudiosCIF").disabled=estado;
	document.getElementById("btnEnviarEst").disabled=estado;
	if (estado==false){		
		document.getElementById("txtEstudiosCIF").focus();			
	}
}
function CamposEst(estado){
	document.getElementById("txtCodigoEstudios").disabled=estado;						
	document.getElementById("txtDescripcionEst").disabled=estado;						
	document.getElementById("txtNumCursosEst").disabled=estado;
	document.getElementById("txtObsEst").disabled=estado;
	document.getElementById("btnEnviarEst").disabled=estado;
	if (estado==false) document.getElementById("txtCodigoEstudios").focus();			
}

//BUSQUEDA CUANDO SE HACE CLIC EN LA LUPA
function ControlDivBusqueda(nDiv){	
	switch (nDiv){	
		case 'DivTablaBusqueda1':
			if (document.getElementById(nDiv).style.display == "none"){
	   			document.getElementById(nDiv).style.display = "inline";					
                document.getElementById('DivTablaBusqueda2').style.display="none";
			}else{
        		document.getElementById(nDiv).style.display = "none";
			}
		break;		
		case 'DivTablaBusqueda2':
			if (document.getElementById("txtEstudiosCIF").value==""){
				if (document.getElementById("txtAdmin").value==1){
					document.getElementById("txtEstudiosCIF").focus();				
				}else{
					document.getElementById("txtCodigoEstudios").focus();
				}
			}else{
				if (document.getElementById(nDiv).style.display == "none"){
	   				document.getElementById(nDiv).style.display = "inline";	
				 	document.getElementById('DivTablaBusqueda1').style.display="none";				
				}else{
        			document.getElementById(nDiv).style.display = "none";
				}               
			}
	}
}


$(document).ready(function() {        
	$('table tbody tr').hover(function() {
		$(this).addClass('highlight');
	}, 
	function() {  
    	$(this).removeClass('highlight');  
    });        
});   

function CursorDentro(){
	document.body.style.cursor = "pointer";
}

function CursorFuera(){
	document.body.style.cursor = "default";
}

function OcultaFilasTabla1(numFilas){
	var txtCampo=(document.getElementById("txtEstudiosCIF").value).trim();
	if (document.getElementById("txtAdmin").value!=1){	//filtramos si el usuario no es administrador
		if (document.getElementById("txtEstudiosCIF").value!=""){
			for (i=1; i<=numFilas; i++){
				if (txtCampo!=(document.getElementById("tblBusqueda1").rows[i].cells[0].innerHTML).trim()){
					$("#tblBusqueda1 tr:eq("+ i +")").hide(0);						
				}else{
					$("#tblBusqueda1 tr:eq("+ i +")").show(0);
				}					
			}		
		}
	}
}

function OcultaFilasTabla2(numFilas2){
	var txtCampo=(document.getElementById("txtEstudiosCIF").value).trim();
	if (document.getElementById("txtEstudiosCIF").value!=""){
		for (j=1; j<=numFilas2; j++){
			if (txtCampo!=(document.getElementById("tblBusqueda2").rows[j].cells[3].innerHTML).trim()){					
				$("#tblBusqueda2 tr:eq("+ j +")").hide(0);						
			}else{
				$("#tblBusqueda2 tr:eq("+ j +")").show(0);  
			}													
		}		
	}else{
            alert("Debe introducir un CIF de centro.\nHaga clic en la lupa que aparece a la derecha del campo.");
        }
}


function BuscaValor(txt,numFilas){
	var i;
	var codiTrobat=false;
	if (txt!=""){	
		for (i=1; i<=numFilas; i++){
			if (txt==document.getElementById("tblBusqueda2").rows[i].cells[0].innerHTML){
				codiTrobat = true;	
				document.getElementById("txtActionEst").value="U";			
			}		
		}
		if (!codiTrobat){
			document.getElementById("txtActionEst").value="I";	
			document.getElementById("txtDescripcionEst").value="";
			document.getElementById("txtNumCursosEst").value="";
			document.getElementById("txtObsEst").value="";		
		}	
	}
}


/* *****************************************************************************************************************/
/* ************************** CARGAR DATOS DEVUELTOS X SELECT EN CAMPOS ********************************************/
/* EVENTO BLUR DE LOS CAMPOS DE TEXTO TXTESTUDIOSCIF Y TXTESTUDIOSEST*/
/*******************************************************************************************************************/

$(document).ready(function() {  	
	$('#tblBusqueda1 tr').click(function(){			
			var txtCIF=document.getElementById("txtEstudiosCIF").value=$('td:eq(0)', this).html();
			objEstudios.CIF_Centre		= txtCIF;
			OcultaDivBusqueda('DivTablaBusqueda1'); 			
			CampoCIF(true);
			CamposEst(false);		
			var numFilas=$('#tblBusqueda1 >tbody >tr').length;
			var numFilas2=$('#tblBusqueda2 >tbody >tr').length;
			FiltroFilasTabla(txtCIF,numFilas,numFilas2);			
			document.getElementById("txtCodigoEstudios").focus();
		}
	);			
	$('#tblBusqueda2 tr').click(function(){
			var txtCodEstudio=document.getElementById("txtCodigoEstudios").value=$('td:eq(0)', this).html();
			objEstudios.Codigo			= txtCodEstudio;			
			objEstudios.Descripcion	 	= $('td:eq(1)', this).html();
			objEstudios.Cursos		 	= $('td:eq(2)', this).html();
			objEstudios.CIF_Centre		= $('td:eq(3)', this).html();
			objEstudios.Observaciones	= $('td:eq(4)', this).html();
			document.getElementById("txtDescripcionEst").value=objEstudios.Descripcion;
			document.getElementById("txtNumCursosEst").value=objEstudios.Cursos;
			document.getElementById("txtEstudiosCIF").value=objEstudios.CIF_Centre;
			document.getElementById("txtObsEst").value=objEstudios.Observaciones;
			document.getElementById("txtActionEst").value="U";
			OcultaDivBusqueda('DivTablaBusqueda2'); 
			CampoCIF(true);
			CamposEst(false);		
		}
	);			
});


function ControlBorrado(){		
    if (document.getElementById("txtActionEst").value == "U"){
       document.getElementById("txtActionEst").value = "B";                  
    }        		
}


/*Guardamos los datos a través de jquery sin recargar las páginas*/

$(document).ready(function() {
	$('#DivPapeleraEstudios, #btnEnviarEst').click(function(){
		document.getElementById('txtCIFAux').value= document.getElementById("txtEstudiosCIF").value;
		var formData = $('#frmEstudios').serialize();
		var Codigo = document.getElementById("txtCodigoEstudios").value;
//		alert("Grabar datos formDataEstudios : " + formData);
		if (Codigo != ""){
			if (document.getElementById('txtActionEst').value=='B'){
				if(confirm("¡Alerta! Esta acción eliminará los estudios con código :"+ Codigo +" \n con todos sus datos asociados.\n ¿Desea realmente continuar?")){					
					DesaDades(formData);
				}
			}else{
				DesaDades(formData);
			}
		}
		location.reload();
        return false;
    });    				 
});

function DesaDades(formData){
	$.ajax({
		type: 'POST',
		url:'act_estudios.php',
		async: false,
		data: formData,			
		success: function(data) {
//			alert("Mensaje Servidor : " + data);
			location.reload();		
		}, 
		error: function(data) {
			alert("Error : " + data);
		}
	}) 		
}


function ActValor(){       
    if (document.getElementById("txtAdmin").value!=1){
        document.getElementById("txtEstudiosCIF").value=(document.getElementById("txtCentro").value).trim();	        
        document.getElementById("txtCodigoEstudios").value="";
        document.getElementById("txtDescripcionEst").value="";
        document.getElementById("txtNumCursosEst").value="";
        document.getElementById("txtObsEst").value=""; 
    }else{
        document.getElementById("txtEstudiosCIF").value="";
        document.getElementById("txtCodigoEstudios").value="";
        document.getElementById("txtDescripcionEst").value="";
        document.getElementById("txtNumCursosEst").value="";
        document.getElementById("txtObsEst").value="";     
    }
    CamposEst(true);
}
