/* ************************************************************************************/
/******************************* FUNCIONES JS - LINKEDU *******************************/
/**************************************************************************************/
var objAlumno = new Object();
	objAlumno = {};


/*Tablas utilizadas para las búsquedas*/
function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass (elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace( /^\s+|\s+$/, "" );
};

function stripedTable() {
	if (document.getElementById && document.getElementsByTagName) {  
		var allTables = document.getElementsByTagName('table');
		if (!allTables) { return; }

		for (var i = 0; i < allTables.length; i++) {
			if (allTables[i].className.match(/[\w\s ]*scrollTable[\w\s ]*/)) {
				var trs = allTables[i].getElementsByTagName("tr");
				for (var j = 0; j < trs.length; j++) {
					removeClassName(trs[j], 'alternateRow');
					addCSSClass(trs[j], 'normalRow');
				}
				for (var k = 0; k < trs.length; k += 2) {
					removeClassName(trs[k], 'normalRow');
					addCSSClass(trs[k], 'alternateRow');
				}
			}
		}
	}
}

window.onload = function() { 
	stripedTable(); 
	if (document.getElementById("txtAdmin").value!=1){
            document.getElementById("txtCodigoCentro").value=(document.getElementById("txtCentro").value).trim();
	}
};
	
function OcultaDivBusqueda(nDiv){
	switch (nDiv){
		case 'DivTablaBusqueda1':		//centros
		    document.getElementById(nDiv).style.display = "none"; 
		break;
		case 'DivTablaBusqueda2':		//estudios
		    document.getElementById(nDiv).style.display = "none";			
		break;
		case 'DivTablaBusqueda3':		//Cursos
		    document.getElementById(nDiv).style.display = "none";			
		break;
		case 'DivTablaBusqueda4':		//familias
		    document.getElementById(nDiv).style.display = "none";			
		break;
		case 'DivTablaBusqueda5':		//alumno
		    document.getElementById(nDiv).style.display = "none";			
		break;
	}
}


function CamposAlu(estado){
	document.getElementById("txtNIFAlumno").disabled=estado;						
	document.getElementById("txtNombreAlumno").disabled=estado;						
	document.getElementById("txtApellidosAlumno").disabled=estado;						
	document.getElementById("txtTelefonoAlumno").disabled=estado;
	document.getElementById("txtEmailAlumno").disabled=estado;
	document.getElementById("txtObsAlumno").disabled=estado;
	document.getElementById("btnEnviarAlumno").disabled=estado;
    document.getElementById("foto").disabled=estado;
	if (estado==false)	{
		document.getElementById("txtNIFAlumno").focus();
	}else{
		$('#foto').empty();
		$('#vistaPrevia').empty();
	}
}

//BUSQUEDA CUANDO SE HACE CLIC EN LA LUPA
function ControlDivBusqueda(nDiv){	
	switch (nDiv){	
		case 'DivTablaBusqueda1':
			if (document.getElementById(nDiv).style.display == "none"){
	   			document.getElementById(nDiv).style.display = "inline";					
                document.getElementById('DivTablaBusqueda2').style.display="none";
				document.getElementById('DivTablaBusqueda3').style.display="none";				
				document.getElementById('DivTablaBusqueda4').style.display="none";				
				document.getElementById('DivTablaBusqueda5').style.display="none";				
			}else{
        		document.getElementById(nDiv).style.display = "none";
			}
		break;		
		case 'DivTablaBusqueda2':
			if (document.getElementById("txtCodigoCentro").value!=""){
				if (document.getElementById(nDiv).style.display == "none"){
					document.getElementById(nDiv).style.display = "inline";					
					document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda3').style.display="none";				
					document.getElementById('DivTablaBusqueda4').style.display="none";				
					document.getElementById('DivTablaBusqueda5').style.display="none";				
				}else{
					document.getElementById(nDiv).style.display = "none";
				}
			}
		break;				
		case 'DivTablaBusqueda3':
			if (document.getElementById("txtCodigoCentro").value!="" && 
				document.getElementById("txtCodigoEstudios").value!=""){				
				if (document.getElementById(nDiv).style.display == "none"){					
	   				document.getElementById(nDiv).style.display = "inline";	
				 	document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda2').style.display="none";				
					document.getElementById('DivTablaBusqueda4').style.display="none";				
					document.getElementById('DivTablaBusqueda5').style.display="none";				
				}else{
        			document.getElementById(nDiv).style.display = "none";
				}               
			}
		break;			
		case 'DivTablaBusqueda4':
			/* MOSTRAMOS TODAS LAS FAMILIAS EXISTENTES, NO HAY FILTRADO NINGUNO */
			if (document.getElementById("txtCodigoCentro").value!="" &&
				 document.getElementById("txtCodigoEstudios").value!="" &&
				 document.getElementById("txtCodigoCurso").value!="" &&
				 document.getElementById("txtNIFAlumno").value!=""){
				if (document.getElementById(nDiv).style.display == "none"){
	   				document.getElementById(nDiv).style.display = "inline";	
				 	document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda2').style.display="none";				
					document.getElementById('DivTablaBusqueda3').style.display="none";				
					document.getElementById('DivTablaBusqueda5').style.display="none";				
				}else{
        			document.getElementById(nDiv).style.display = "none";
				}               
			}
		break;				
		case 'DivTablaBusqueda5':
			/* quitar si se filtra el alumno segun la familia
			if (document.getElementById("txtCodigoCentro").value!="" &&
				document.getElementById("txtCodigoEstudios").value!="" &&
				document.getElementById("txtCodigoCurso").value!="" &&
				document.getElementById("txtCodigoFamilia").value!=""){				
			*/		
			if (document.getElementById("txtCodigoCentro").value!="" &&
				document.getElementById("txtCodigoEstudios").value!="" &&
				document.getElementById("txtCodigoCurso").value!=""){	
				if (document.getElementById(nDiv).style.display == "none"){
	   				document.getElementById(nDiv).style.display = "inline";	
				 	document.getElementById('DivTablaBusqueda1').style.display="none";
					document.getElementById('DivTablaBusqueda2').style.display="none";				
					document.getElementById('DivTablaBusqueda3').style.display="none";									
					/*	quitar si hay familia
					document.getElementById('DivTablaBusqueda4').style.display="none";				
					*/
				}else{
        			document.getElementById(nDiv).style.display = "none";
				}               
			}	
			break;			
	}

}


$(document).ready(function() {        
	$('table tbody tr').hover(function() {
		$(this).addClass('highlight');
	}, 
	function() {  
    	$(this).removeClass('highlight');  
    });        
});   

function CursorDentro(){
	document.body.style.cursor = "pointer";
}

function CursorFuera(){
	document.body.style.cursor = "default";
}

function OcultaFilasTabla1(numFilas){
	var txtCodigoCentro=(document.getElementById("txtCodigoCentro").value).trim();
	if (document.getElementById("txtAdmin").value!=1){	//filtramos si el usuario no es administrador
		if (document.getElementById("txtCodigoCentro").value!=""){
			for (i=1; i<=numFilas; i++){				
				if (txtCodigoCentro!=(document.getElementById("tblBusqueda1").rows[i].cells[0].innerHTML).trim()){
					$("#tblBusqueda1 tr:eq("+ i +")").hide(0);						
				}else{
					$("#tblBusqueda1 tr:eq("+ i +")").show(0);
				}					
			}		
		}
	}
}

function OcultaFilasTabla2(numFilas2){
	var txtCodigoCentro   = (document.getElementById("txtCodigoCentro").value).trim();
	if (txtCodigoCentro!=""){
		for (j=1; j<=numFilas2; j++){
			if (txtCodigoCentro!=(document.getElementById("tblBusqueda2").rows[j].cells[3].innerHTML).trim()){					
				$("#tblBusqueda2 tr:eq("+ j +")").hide(0);						
			}else{
				$("#tblBusqueda2 tr:eq("+ j +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar el campo 'Código centro'");
	}
}

function OcultaFilasTabla3(numFilas3){	
	var txtCodigoCentro=(document.getElementById("txtCodigoCentro").value).trim();	
	var txtCodigoEstudios=(document.getElementById("txtCodigoEstudios").value).trim();	

	if (txtCodigoCentro !="" && txtCodigoEstudios!=""){
		for (k=1; k<=numFilas3; k++){
			if (txtCodigoEstudios!=(document.getElementById("tblBusqueda3").rows[k].cells[3].innerHTML).trim()){					
				$("#tblBusqueda3 tr:eq("+ k +")").hide(0);						
			}else{
				$("#tblBusqueda3 tr:eq("+ k +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar los campos 'Código Centro' y 'Código Estudios'");
	}
}


/************************************************************************************************************/
/*					 OPCIÓN 1 FILTRO DEL ALUMNO SEGUN LA FAMILIA											*/
/************************************************************************************************************/
/*

function OcultaFilasTabla4(numFilas4){	
	var txtCodigoCentro=(document.getElementById("txtCodigoCentro").value).trim();	
	var txtCodigoEstudios=(document.getElementById("txtCodigoEstudios").value).trim();	
	var txtCodigoCurso=(document.getElementById("txtCodigoCurso").value).trim();	
	
	if (txtCodigoCentro !="" && txtCodigoEstudios!=""&& txtCodigoCurso!=""){
		for (k=1; k<=numFilas4; k++){
				// NO SE OCULTAN FILAS DE FAMILIAS, HAY QUE MOSTRARLAS TODAS.
				$("#tblBusqueda4 tr:eq("+ k +")").show(0);  	
		}		
	}else{
		alert("Es necesario indicar los campos 'Código Centro' y 'Código Estudios'");
	}
}

/* FILTRAMOS LOS ALUMNOS DE LA FAMILIA SELECCIONADA*/
/*
function OcultaFilasTabla5(numFilas5){	
	var txtCodigoCentro=(document.getElementById("txtCodigoCentro").value).trim();	
	var txtCodigoEstudios=(document.getElementById("txtCodigoEstudios").value).trim();	
	var txtCodigoCurso=(document.getElementById("txtCodigoCurso").value).trim();	
	var txtCodigoFamilia=(document.getElementById("txtCodigoFamilia").value).trim();	

	if (txtCodigoCentro !="" && txtCodigoEstudios!="" && txtCodigoCurso!="" && txtCodigoFamilia!=""){
		for (x=1; x<=numFilas5; x++){
			if (txtCodigoCurso!=(document.getElementById("tblBusqueda5").rows[x].cells[7].innerHTML).trim() ||
					txtCodigoFamilia!=(document.getElementById("tblBusqueda5").rows[x].cells[8].innerHTML).trim()){					
				$("#tblBusqueda5 tr:eq("+ x +")").hide(0);						
			}else{
				$("#tblBusqueda5 tr:eq("+ x +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar los campos 'Código Centro', 'Código Estudios', 'Código Curso' y 'Código Familia'");
	}
}
*/


/************************************************************************************************************/
/*					 OPCIÓN 2 FILTRO DEL ALUMNO SEGUN CENTRO, ESTUDIOS Y CURSO, (NO FAMILIAS)
/************************************************************************************************************/
function OcultaFilasTabla4(numFilas4){
	var txtNIFAlumno=(document.getElementById("txtNIFAlumno").value).trim();	
	if (txtNIFAlumno==""){
		alert("Es necesario indicar el NIF del alumno para asignarle la familia.");
	}
}

function OcultaFilasTabla5(numFilas5){	
	var txtCodigoCentro=(document.getElementById("txtCodigoCentro").value).trim();	
	var txtCodigoEstudios=(document.getElementById("txtCodigoEstudios").value).trim();	
	var txtCodigoCurso=(document.getElementById("txtCodigoCurso").value).trim();	

	if (txtCodigoCentro !="" && txtCodigoEstudios!="" && txtCodigoCurso!=""){
		for (x=1; x<=numFilas5; x++){
			if (txtCodigoCentro!=(document.getElementById("tblBusqueda5").rows[x].cells[7].innerHTML).trim() ||
					txtCodigoEstudios!=(document.getElementById("tblBusqueda5").rows[x].cells[8].innerHTML).trim() ||
						txtCodigoCurso!=(document.getElementById("tblBusqueda5").rows[x].cells[9].innerHTML).trim()){					
				$("#tblBusqueda5 tr:eq("+ x +")").hide(0);						
			}else{
				$("#tblBusqueda5 tr:eq("+ x +")").show(0);  
			}													
		}		
	}else{
		alert("Es necesario indicar los campos 'Código Centro', 'Código Estudios' y 'Código Curso'");
	}
}



function BuscaValor(txt, numFilas){
	var i;
	var codiTrobat=false;
	if (txt!=""){	
		for (i=1; i<=numFilas; i++){
			if (txt==document.getElementById("tblBusqueda5").rows[i].cells[0].innerHTML){
				codiTrobat = true;	
				document.getElementById("txtActionAlumnos").value="U";			
			}		
		}
		if (!codiTrobat){
//			alert("Borrado Campos");
			document.getElementById("txtActionAlumnos").value="I";
			objAlumno.CodigoCurso		=   document.getElementById("txtCodigoCurso").value;
			objAlumno.CodigoFamilia		=	document.getElementById("txtCodigoFamilia").value;			

			document.getElementById("txtNombreAlumno").value="";
			document.getElementById("txtApellidosAlumno").value="";			
			document.getElementById("txtTelefonoAlumno").value="";
			document.getElementById("txtEmailAlumno").value="";
			document.getElementById("txtObsAlumno").value="";	
			$('#foto').empty();
			$('#vistaPrevia').empty();
		}	
	}
}


/* *****************************************************************************************************************/
/* ************************** CARGAR DATOS DEVUELTOS X SELECT EN CAMPOS ********************************************/
/* EVENTO BLUR DE LOS CAMPOS DE TEXTO txtCodigoEstudios Y TXTESTUDIOSEST*/
/*******************************************************************************************************************/

$(document).ready(function() {  	
	$('#tblBusqueda1 tr').click(function(){			
			var txtCodigoCentro=document.getElementById("txtCodigoCentro").value=$('td:eq(0)', this).html();						
			OcultaDivBusqueda('DivTablaBusqueda1'); 
			document.getElementById("txtCodigoEstudios").value="";
			document.getElementById("txtCodigoCurso").value="";	
//			document.getElementById("txtCodigoFamilia").value="";	
							
			document.getElementById("txtNIFAlumno").value="";
        	document.getElementById("txtNombreAlumno").value="";        
        	document.getElementById("txtApellidosAlumno").value="";
        	document.getElementById("txtTelefonoAlumno").value="";
        	document.getElementById("txtEmailAlumno").value="";
        	document.getElementById("txtObsAlumno").value="";
			$('#foto').empty();
			$('#vistaPrevia').empty();
			CamposAlu(true);
		}
	);
	$('#tblBusqueda2 tr').click(function(){			
			var txtCodigoEstudio=document.getElementById("txtCodigoEstudios").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda2'); 
			document.getElementById("txtCodigoCurso").value="";
//			document.getElementById("txtCodigoFamilia").value="";								

			document.getElementById("txtNIFAlumno").value="";
        	document.getElementById("txtNombreAlumno").value="";        
        	document.getElementById("txtApellidosAlumno").value="";
        	document.getElementById("txtTelefonoAlumno").value="";
        	document.getElementById("txtEmailAlumno").value="";
        	document.getElementById("txtObsAlumno").value="";
			$('#foto').empty();
			$('#vistaPrevia').empty();
			CamposAlu(true);

		}
	);
	$('#tblBusqueda3 tr').click(function(){			
			var txtCodigoCurso=document.getElementById("txtCodigoCurso").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda3'); 
			document.getElementById("txtCodigoFamilia").value="";					
			
			document.getElementById("txtNIFAlumno").value="";
        	document.getElementById("txtNombreAlumno").value="";        
        	document.getElementById("txtApellidosAlumno").value="";
        	document.getElementById("txtTelefonoAlumno").value="";
        	document.getElementById("txtEmailAlumno").value="";
        	document.getElementById("txtObsAlumno").value="";
			$('#foto').empty();
			$('#vistaPrevia').empty();
			/* ponmer si hay filtro familia
			CamposAlu(true);
			*/
			/* quitar si hay filtro familia*/
			CamposAlu(false);			
			document.getElementById("txtNIFAlumno").focus();

		}
	);			
	$('#tblBusqueda4 tr').click(function(){			
			var txtCodigoFam=document.getElementById("txtCodigoFamilia").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda4'); 
//			document.getElementById("txtNIFAlumno").value="";	
//			CamposAlu(false);			
//			document.getElementById("txtNIFAlumno").focus();
		}
	);			

	$('#tblBusqueda5 tr').click(function(){
			var txtCodigoAlumno=document.getElementById("txtNIFAlumno").value=$('td:eq(0)', this).html();
			OcultaDivBusqueda('DivTablaBusqueda5');
			objAlumno.NIFAlumno			= 	txtCodigoAlumno;
			objAlumno.NombreAlumno		=	$('td:eq(1)', this).html();
			objAlumno.ApellidosAlumno	=	$('td:eq(2)', this).html();	
			objAlumno.TelefonoAlumno	=	$('td:eq(3)', this).html();
			objAlumno.emailAlumno		=	$('td:eq(4)', this).html();
			objAlumno.ObsAlumno			=	$('td:eq(5)', this).html();
			objAlumno.Foto				= 	$('td:eq(6)', this).html();
			objAlumno.CIF_Centro		=	$('td:eq(7)', this).html();
			objAlumno.CodigoEstudios	=   $('td:eq(8)', this).html();
			objAlumno.CodigoCurso		=	$('td:eq(9)', this).html();
			objAlumno.CodigoFamilia		=	$('td:eq(10)', this).html();			
			document.getElementById("txtNIFAlumno").value=objAlumno.NIFAlumno;
			document.getElementById("txtNombreAlumno").value=objAlumno.NombreAlumno;
			document.getElementById("txtApellidosAlumno").value=objAlumno.ApellidosAlumno;
			document.getElementById("txtTelefonoAlumno").value=objAlumno.TelefonoAlumno;
			document.getElementById("txtEmailAlumno").value=objAlumno.emailAlumno;
			document.getElementById("txtObsAlumno").value=objAlumno.ObsAlumno;	
			document.getElementById("txtCodigoFamilia").value=objAlumno.CodigoFamilia;						

			$("#vistaPrevia img:last-child").remove();
			var i = new Image();
			/*www.linkedu.tk*/
			i.src = 'http://www.linkedu.tk' + objAlumno.Foto;
			$('#vistaPrevia').append(i);			
			CamposAlu(false);					
		}
	);			
});


function ControlBorrado(){		
    if (document.getElementById("txtActionAlumnos").value == "U"){
       document.getElementById("txtActionAlumnos").value = "B";                  
    }        		
}

/*SELECCIONAMOS FOTO ALUMNO.*/
$(document).ready(function(e) {
	$('#foto').change(function(e) {
		if (CompruebaFoto(e)) {
			addImage(e); 
		}else{
			alert("Tamaño de foto excedido. Máximo 2MB");
			return;
		}
	});
	function addImage(e){
    	var file = e.target.files[0],
      	imageType = /image.*/;    
      	if (!file.type.match(imageType))
			return;
  
		var reader = new FileReader();
      	reader.onload = fileOnload;
      	reader.readAsDataURL(file);
    }
	function fileOnload(e){
		var result=e.target.result;
      	$('#vistaPrevia').attr("src",result);
     }    
});

function CompruebaFoto(e){	
	var val=false;
	var mida = e.target.files[0].size;	
	if (mida<= 2097152) val=true;
	return val;
}



/*Guardamos los datos a través de jquery sin recargar las páginas*/

$(document).ready(function() {
	$('#DivPapeleraAlumnos, #btnEnviarAlumno').click(function(){
		document.getElementById("txtCodigoCursoAux").value=document.getElementById("txtCodigoCurso").value;
		document.getElementById("txtCodigoFamiliaAux").value=document.getElementById("txtCodigoFamilia").value;
		document.getElementById("txtCodigoEstudiosAux").value=document.getElementById("txtCodigoEstudios").value;
		document.getElementById("txtCodigoCentroAux").value=document.getElementById("txtCodigoCentro").value;                
                
		var formData = new FormData($('#frmAlu')[0]);			
//		var formData = $('#frmAlu').serialize();	
		
		var Codigo = document.getElementById("txtNIFAlumno").value;
//		alert("Grabar datos frmAlu : " + formData);
		if (Codigo != ""){
			if (document.getElementById('txtActionAlumnos').value=='B'){
				if(confirm("¡Alerta! Esta acción eliminará los estudios con código :"+ 
							Codigo +" \n con todos sus datos asociados.\n ¿Desea realmente continuar?")){					
					DesaDades(formData);
					location.reload();
				}
			}else{
				if (document.getElementById("txtActionAlumnos").value=='I' || document.getElementById("txtActionAlumnos").value=='U'){
					if (document.getElementById("txtCodigoFamilia").value==""){
						alert("Es obligatorio informar el campo 'Família del Alumno'.");
					}else{									
						DesaDades(formData);
						location.reload();				
					}
				}
			}
		}
		document.getElementById("txtCodigoCurso").disabled=false;
		document.getElementById("txtCodigoFamilia").disabled=false;
        return false;
    });    				 
});

function DesaDades(formData){
	$.ajax({
		type: 'POST',
		url:'act_alumnos.php',
		async:false,	
		data: formData, 
		/*IMAGEN*/		
		cache: false,
		contentType: false, 
		processData: false,
		/**/
		success: function(data) {
//			alert("Mensaje Servidor : " + data);		
			location.reload();
		}, 
		error: function(data){
			alert("Error : " + data);
		}
	})       		
}



function ActValor(){    
	if (document.getElementById("txtAdmin").value!=1){
        document.getElementById("txtCodigoCentro").value!=(document.getElementById("txtCentro").value).trim();
        document.getElementById("txtCodigoCentro").value="";
        document.getElementById("txtCodigoEstudios").value="";
        document.getElementById("txtCodigoCurso").value="";
	}	
	document.getElementById("txtNIFAlumno").value="";
	document.getElementById("txtCodigoFamilia").value="";       
	document.getElementById("txtNombreAlumno").value="";        
	document.getElementById("txtApellidosAlumno").value="";
	document.getElementById("txtTelefonoAlumno").value="";
	document.getElementById("txtEmailAlumno").value="";
	document.getElementById("txtObsAlumno").value="";	   
	CamposAlu(true);	
}
