/* ************************************************************************************/
/******************************* FUNCIONES CENTROS JS - LINKEDU *******************************/
/**************************************************************************************/
var objFamilias = new Object();
	objFamilias = {};

$(function() {
	var date = $('#txtFechaAlta').datepicker({ 
		dateFormat: 'dd-mm-yy' 
	}).val();		
});



/*Tablas utilizadas para las búsquedas*/
function removeClassName (elem, className) {
	elem.className = elem.className.replace(className, "").trim();
}

function addCSSClass (elem, className) {
	removeClassName (elem, className);
	elem.className = (elem.className + " " + className).trim();
}

String.prototype.trim = function() {
	return this.replace( /^\s+|\s+$/, "" );
};

function stripedTable() {
	if (document.getElementById && document.getElementsByTagName) {  
		var allTables = document.getElementsByTagName('table');
		if (!allTables) { return; }

		for (var i = 0; i < allTables.length; i++) {
			if (allTables[i].className.match(/[\w\s ]*scrollTable[\w\s ]*/)) {
				var trs = allTables[i].getElementsByTagName("tr");
				for (var j = 0; j < trs.length; j++) {
					removeClassName(trs[j], 'alternateRow');
					addCSSClass(trs[j], 'normalRow');
				}
				for (var k = 0; k < trs.length; k += 2) {
					removeClassName(trs[k], 'normalRow');
					addCSSClass(trs[k], 'alternateRow');
				}
			}
		}
	}
}

window.onload = function() { 
	stripedTable(); 
};

$(document).ready(function() {        
	$('table tbody tr').hover(function() {
		$(this).addClass('highlight');
	}, 
	function() {  
    	$(this).removeClass('highlight');  
    });        
});   

function CursorDentro(){
	document.body.style.cursor = "pointer";
}

function CursorFuera(){
	document.body.style.cursor = "default";
}



function OcultaDivBusqueda(nDiv){
    document.getElementById(nDiv).style.display = "none"; 
}

function ControlDivBusqueda(nDiv){	
	if (document.getElementById(nDiv).style.display == "none"){		
		Campos(true);		
		document.getElementById(nDiv).style.display = "inline";		
	}else{
		Campos(false);	
    	document.getElementById(nDiv).style.display = "none";

	}
}
function Campos(estado){	
	document.getElementById("txtCodiFam").disabled=estado;
	document.getElementById("txtNIF").disabled=estado;					
	document.getElementById("txtNom").disabled=estado;		
	document.getElementById("txtDireccion").disabled=estado;						
	document.getElementById("txtNumero").disabled=estado;	
	document.getElementById("txtCP").disabled=estado;	
	document.getElementById("txtPiso").disabled=estado;
	document.getElementById("txtFechaAlta").disabled=estado;	
	document.getElementById("txtTelef1").disabled=estado;	
	document.getElementById("txtTelef2").disabled=estado;	
	document.getElementById("txtMail").disabled=estado;
	document.getElementById("txtObs").disabled=estado;	
	document.getElementById("btnEnviar").disabled=estado;
}

/* *****************************************************************************************************************/
/* ************************** CARGAR DATOS DEVUELTOS X SELECT EN CAMPOS ********************************************/
/* Cuando se hace clic en la tabla de búsquedas hay que guardar los datos de todo el registro para cif seleccionado*/
/*******************************************************************************************************************/

/*CAMPO ESCRITO DIRECTAMENTE EN TXT EVENTO BLUR*/
function BuscaValor(btn, totalFilas){
	var vCodi=btn;	
	var familiaTrobada=false;				
    var i;
	if (vCodi != ""){
		Campos(false);
		document.getElementById('txtCodiFam').focus();
		for (i=1; i<=totalFilas; i++){	
			if (vCodi==document.getElementById("tblBusqueda1").rows[i].cells[0].innerHTML){
				familiaTrobada=true;					
				objFamilias.CodigoFamilia	= 	document.getElementById('tblBusqueda1').rows[i].cells[0].innerHTML;
				objFamilias.NIFResponsable	= 	document.getElementById('tblBusqueda1').rows[i].cells[1].innerHTML;
				objFamilias.NombreCompleto  = 	document.getElementById('tblBusqueda1').rows[i].cells[2].innerHTML;
				objFamilias.Direccion 		= 	document.getElementById('tblBusqueda1').rows[i].cells[3].innerHTML;
				objFamilias.Numero			=	document.getElementById('tblBusqueda1').rows[i].cells[4].innerHTML;
				objFamilias.CodigoPostal	=	document.getElementById('tblBusqueda1').rows[i].cells[5].innerHTML;
				objFamilias.PisoPuerta		=	document.getElementById('tblBusqueda1').rows[i].cells[6].innerHTML;				
				objFamilias.FechaAlta		=	document.getElementById('tblBusqueda1').rows[i].cells[7].innerHTML;
				objFamilias.Telefono1		=	document.getElementById('tblBusqueda1').rows[i].cells[8].innerHTML;	
				objFamilias.Telefono2		=	document.getElementById('tblBusqueda1').rows[i].cells[9].innerHTML;	
				objFamilias.Email			=	document.getElementById('tblBusqueda1').rows[i].cells[10].innerHTML;	
				objFamilias.Observaciones	=	document.getElementById('tblBusqueda1').rows[i].cells[11].innerHTML;	
			}
		}
		if (!familiaTrobada){
			objFamilias=[];
		}
		AsignaCampos();			
	}else{
		Campos(true);
		document.getElementById("txtCodiFam").disabled=false;
		document.getElementById("txtCodiFam").focus();		
	}					
}

/*CAMPO SELECCIONADO DESDE LA TABLA CLIC EN TABLA BUSQUEDAS */
$(document).ready(function() {  
	$('#tblBusqueda1 tr').click(function(){	
		objFamilias.CodigoFamilia	= 	$('td:eq(0)', this).html();
		objFamilias.NIFResponsable	= 	$('td:eq(1)', this).html();
		objFamilias.NombreCompleto = 	$('td:eq(2)', this).html();
		objFamilias.Direccion		= 	$('td:eq(3)', this).html();
		objFamilias.Numero			=	$('td:eq(4)', this).html();
		objFamilias.CodigoPostal	=	$('td:eq(5)', this).html();
		objFamilias.PisoPuerta 		=	$('td:eq(6)', this).html();
		objFamilias.FechaAlta		=	$('td:eq(7)', this).html();
		objFamilias.Telefono1 		=	$('td:eq(8)', this).html();	
		objFamilias.Telefono2		=	$('td:eq(9)', this).html();	
		objFamilias.Email			=	$('td:eq(10)', this).html();	
		objFamilias.Observaciones	=	$('td:eq(11)', this).html();	
		OcultaDivBusqueda('DivTablaBusqueda1');
		Campos(false);
		AsignaCampos();
	});				
});



function AsignaCampos(){	
	if (typeof objFamilias.CodigoFamilia === "undefined"){		
		// ********** NUEVA FAMILIA ****************/		
//		document.getElementById("txtCodiFam").value = "";
		document.getElementById("txtNIF").value="";				
		document.getElementById("txtNom").value="";			
		document.getElementById("txtDireccion").value="";							
		document.getElementById("txtNumero").value="";		
		document.getElementById("txtCP").value="";		
		document.getElementById("txtPiso").value="";	
		document.getElementById("txtFechaAlta").value="";		
		document.getElementById("txtTelef1").value="";		
		document.getElementById("txtTelef2").value="";		
		document.getElementById("txtMail").value="";	
		document.getElementById("txtObs").value="";	
		document.getElementById("txtAction").value = "I";
		document.getElementById('txtNIF').focus();
	}else{
		//Campos(false);
			
        document.getElementById("txtCodiFam").value=objFamilias.CodigoFamilia;
		document.getElementById("txtNIF").value=objFamilias.NIFResponsable;
		document.getElementById("txtNom").value=objFamilias.NombreCompleto;		
		document.getElementById("txtDireccion").value=objFamilias.Direccion;						
		document.getElementById("txtNumero").value=objFamilias.Numero;	
		document.getElementById("txtCP").value=objFamilias.CodigoPostal;	
		document.getElementById("txtPiso").value=objFamilias.PisoPuerta;
		document.getElementById("txtFechaAlta").value=objFamilias.FechaAlta;	
		document.getElementById("txtTelef1").value=objFamilias.Telefono1;			
		document.getElementById("txtTelef2").value=objFamilias.Telefono2;			
		document.getElementById("txtMail").value=objFamilias.Email;	
		document.getElementById("txtObs").value=objFamilias.Observaciones;		
		document.getElementById("txtAction").value = "U";
		document.getElementById('txtNom').focus();	
	}
}

function ControlBorrado(){		 
	if (document.getElementById("txtAction").value == "U"){
		document.getElementById("txtAction").value = "B";                   
	}        	
}


/*****************************************************************/
/*				GUARDADO DE DATOS EN MYSQL				*/
/*Guardamos los datos a través de jquery+Ajax sin recargar las páginas*/

$(document).ready(function() {
	$('#DivPapelera, #btnEnviar').click(function(){
		var formData = $('#frmFam').serialize();	
		var Codigo = document.getElementById('txtCodiFam').value;			
		var rowCount = $('#tblBusqueda1 tbody tr').length;
//	alert("Vamos a enviar esto : " + formData);	
//	alert("Codigo : " + Codigo);				
		if (Codigo != ""){
			if (document.getElementById('txtAction').value=='B'){
				if(confirm("¡Alerta! Esta acción eliminará la familia con código :"+ Codigo +" \n y todos sus alumnos.\n ¿Desea realmente continuar?")){					
					DesaDades(formData);
					location.reload();
				}
			}else{
				/*Si no hi ha DNI o MAIL no es pot afegir la família*/
				if ((document.getElementById('txtAction').value=='I' && document.getElementById('txtMail').value=="")
					||(document.getElementById('txtAction').value=='I' && document.getElementById('txtNIF').value=="")){
					alert("El email de contacto y el DNI del responsable son indispensables.");
				}else{
					DesaDades(formData);
					location.reload();
				}
			}			
		}				
        return false;
	});
});
	

function DesaDades(formData){
	$.ajax({
		type: 'POST',
		url:'act_familias.php',
		async: false,
		data: formData,			
		success: function(data) {
	//		alert("Mensaje Servidor : " + data);
			location.reload();		
		}, 
		error: function(data) {
			alert("Error : " + data);
		}
	}) 		
}

